xcb_xv_get_port_attribute(3)

NAME
xcb_xv_get_port_attribute -

SYNOPSIS
#include <xcb/xv.h>

  Request function

xcb_xv_get_port_attribute_cookie_t xcb_xv_get_port_attribute(xcb_connection_t *conn, xcb_xv_port_t port, xcb_atom_t attribute);

  Reply datastructure

typedef struct xcb_xv_get_port_attribute_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    int32_t  value;
} xcb_xv_get_port_attribute_reply_t;

  Reply function

xcb_xv_get_port_attribute_reply_t *xcb_xv_get_port_attribute_reply(xcb_connection_t *conn, xcb_xv_get_port_attribute_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

port
    TODO: NOT YET DOCUMENTED.

attribute
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XV_GET_PORT_ATTRIBUTE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

value
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xv_get_port_attribute_cookie_t. Errors have to be handled when calling the reply function xcb_xv_get_port_attribute_reply. If you want to handle errors in the event loop instead, use xcb_xv_get_port_attribute_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xv.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.